Skip to content

List attached segments for contact

Request

You can fetch a list of segments that are associated to a contact.

Security
bearerAuth
Path
contact_idstringrequired

The unique identifier for the contact which is given by Intercom

Example:63a07ddf05a32042dffac965
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X GET \
  https://api.intercom.io/contacts/63a07ddf05a32042dffac965/segments \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

successful

Bodyapplication/json
typestring

The type of the object

Value:"list"
Example:"list"
dataArray of objects(Segment)

Segment objects associated with the contact.

Response
{ "type": "list", "data": [ {} ] }